import { StyleSheet } from "react-native";
import { ThemedText } from "@/components/ThemedText";
import { ThemedView } from "@/components/ThemedView";
import { Link, Stack } from "expo-router";

const NotFoundScreen = () => {
  return (
    <>
      <Stack.Screen options={{ title: 'Page not found.' }} />
      <ThemedView style={styles.container}>
        <Link href='/'>
          <ThemedText style={styles.button}>
            Go back home.
          </ThemedText>
        </Link>
      </ThemedView>
    </>
  );
};
export default NotFoundScreen;

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
  },
  button: {
    fontSize: 24,
    textDecorationLine: 'underline',
  },
});
